Design fixes for the Wikipedia 5.0
Closed, ResolvedPublic

Description

There are four UX issues evaluated in the current beta. this is a parent TRACKING task for these 4

  • Feed behavior: ordering, grouping, style, updating
  • Article actions (toolbar, etc)
  • Placement of search vs. settings
  • In article navigation, and native/webview transition issues

Related Objects

Nirzar created this task.Sep 17 2015, 11:16 PM
Nirzar updated the task description. (Show Details)
Nirzar raised the priority of this task from to Needs Triage.
Nirzar assigned this task to Fjalapeno.
Nirzar added subscribers: Nirzar, KHammerstein, JKatzWMF and 3 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2015, 11:16 PM
Nirzar removed Fjalapeno as the assignee of this task.Sep 18 2015, 6:10 PM
Nirzar set Security to None.
BGerstle-WMF added a subscriber: Mhurd.

FYI @Mhurd check out the attached mock for new icon PDFs

Mhurd added a comment.Oct 29 2015, 7:44 PM

Nirzar and I have updated a bunch of icons:
https://github.com/wikimedia/wikipedia-ios/pull/214

Fjalapeno assigned this task to JMinor.Nov 2 2015, 5:32 PM

hey @JMinor this card encapsulated a lot of design work… most looks done others seem to in some sort of limbo.

Do you want to re-evaluate this card to see if we should:

  • Prioritize the remaining blockers
  • Remove defunkt blockers

Basically, just want to move this out "blocked" column if we aren't going to be addressing the ret of the blockers.

JMinor added a comment.Nov 2 2015, 9:43 PM

Removed one blocker that is on semi-permanent hold.

Two items are complete but need to pass review:

  • T113068 Continue reading (this one is done)
  • T113659 Recent search UX (code complete, but needs QA/Design sign-off)

These two items remain:

  • T116492 Tap highlights
  • T113554 Icon update (this is blocked by T115049 which is a slight style update to tab bar)

The remaining items are both small items that should be completed prior to beta, but less of a priority than work already in progress. I've floated them to near the top Needs Estimation for the next iteration.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 18 2015, 8:22 PM
JMinor closed this task as Resolved.Nov 18 2015, 9:26 PM

I'm going to call this one resolved. There's still some tweaking to do on tap highlights, but put a fork in this one. Its done.